ooo-build r13719 - in trunk: . bin test/mono



Author: rodo
Date: Fri Aug 29 07:59:34 2008
New Revision: 13719
URL: http://svn.gnome.org/viewvc/ooo-build?rev=13719&view=rev

Log:
2008-08-29  Radek Doulik  <rodo@>

	* test/mono/Makefile: build with debug info

	* bin/install-mono: updated file locations for 3.x install




Modified:
   trunk/ChangeLog
   trunk/bin/install-mono
   trunk/test/mono/Makefile

Modified: trunk/bin/install-mono
==============================================================================
--- trunk/bin/install-mono	(original)
+++ trunk/bin/install-mono	Fri Aug 29 07:59:34 2008
@@ -52,13 +52,13 @@
 # at runtime.
 if test -z "$OODESTDIR" -o -n "$MONO_GAC_ROOT" ; then
     test -n "$MONO_GAC_ROOT" && gacutil_root="-root $OODESTDIR$MONO_GAC_ROOT" || gacutil_root=
-    for dll in cli_basetypes.dll \
-               cli_cppuhelper.dll \
-	       cli_uretypes.dll \
-	       cli_oootypes.dll \
-	       cli_uno_bridge.dll \
-	       cli_ure.dll ; do
-	gacutil $gacutil_root -i $OOINSTDIR/program/$dll -package $OOOINSTALLDIRNAME || exit 0
+    for dll in ure/lib/cli_basetypes.dll \
+               ure/lib/cli_cppuhelper.dll \
+	       ure/lib/cli_uretypes.dll \
+	       basis-link/program/cli_oootypes.dll \
+	       ure/lib/cli_uno_bridge.dll \
+	       ure/lib/cli_ure.dll ; do
+	gacutil $gacutil_root -i $OOINSTDIR/$dll -package $OOOINSTALLDIRNAME || exit 0
 
 	# the original fixes are not longer needed
 	rm -f $OOINSTDIR/basis3.0/program/$dll
@@ -66,10 +66,10 @@
 
 	# remove the deleted fixes from the filelist
 	if test -n "$OODESTDIR" ; then
-	    file_list=`grep "^$OOINSTBASE/program/$dll$" $OODESTDIR/gid* | head -n 1 | cut -d: -f1`
-	    test -z "$file_list" && echo "Error: \"$OOINSTBASE/program/$dll\" has not found in any filelist" && exit 1;
-	    sed -e "s|^$OOINSTBASE/basis3.0/program/$dll$||" \
-	        -e "s|^$OOINSTBASE/basis3.0/program/$dll.config$||" \
+	    file_list=`grep "^$OOINSTBASE/$dll$" $OODESTDIR/gid* | head -n 1 | cut -d: -f1`
+	    test -z "$file_list" && echo "Error: \"$OOINSTBASE/$dll\" has not found in any filelist" && exit 1;
+	    sed -e "s|^$OOINSTBASE/basis3.0/$dll$||" \
+	        -e "s|^$OOINSTBASE/basis3.0/$dll.config$||" \
 		$file_list >$file_list.mono
 	    mv $file_list.mono $file_list
 	fi
@@ -77,7 +77,7 @@
 
     # filelist for the GAC
     if test -n "$OODESTDIR" ; then
-        for dir in `find $OODESTDIR/usr/lib/mono -type d -regex ".*/cli_[_a-z]*" -o -regex ".*/ooo-2.0"` ; do
+        for dir in `find $OODESTDIR/usr/lib/mono -type d -regex ".*/cli_[_a-z]*" -o -regex ".*/ooo-3.0"` ; do
 	    find $dir -type d | sed "s|^$OODESTDIR\(.*\)|%dir \1|" >>$MONOGACFILELIST
 	    find $dir -type f -o -type l | sed "s|^$OODESTDIR\(.*\)|\1|" >>$MONOGACFILELIST
 	done

Modified: trunk/test/mono/Makefile
==============================================================================
--- trunk/test/mono/Makefile	(original)
+++ trunk/test/mono/Makefile	Fri Aug 29 07:59:34 2008
@@ -6,11 +6,11 @@
 all:	test
 
 test:	SpreadsheetSample.exe
-	mono SpreadsheetSample.exe
+	mono --debug SpreadsheetSample.exe
 
 SpreadsheetSample.exe: ${SOURCES}
-	mcs SpreadsheetSample.cs SpreadsheetDocHelper.cs \
-	    `pkg-config --libs mono-ooo-2.0`
+	mcs -debug SpreadsheetSample.cs SpreadsheetDocHelper.cs \
+	    `pkg-config --libs mono-ooo-3.0`
 
 clean:
 	rm -f SpreadsheetSample.exe



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]